Name:           perl-Sane
Version:        0.02
Release:        3%{?dist}
Summary:        Perl extension for the SANE (Scanner Access Now Easy) Project

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Sane/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RA/RATCLIFFE/Sane-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker), perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig), perl(Test::More)
BuildRequires:  sane-backends-devel, libjpeg-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to access SANE-compatible scanners in a Perlish and
object-oriented way, freeing you from the casting and memory management in C,
yet remaining very close in spirit to original API.


%prep
%setup -q -n Sane-%{version}

# Change mode on files we are going to use for %doc files so they don't
# generate dependencies
chmod a-x examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sane*
%{_mandir}/man3/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.02-2
- update Summary with changes suggested in review bugzilla
- update %%files with changes suggested in review bugzilla

* Tue Jan 27 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.02-1
- initial release, v 0.2
